# xoxys.matrix
  
[![Build Status](https://drone.rknet.org/api/badges/ansible/xoxys.matrix/status.svg)](https://drone.rknet.org/ansible/xoxys.matrix)


## Table of content

* [Default Variables](#default-variables)
  * [matrix_version](#matrix_version)
  * [matrix_user](#matrix_user)
  * [matrix_user_home](#matrix_user_home)
  * [matrix_group](#matrix_group)
  * [matrix_extra_groups](#matrix_extra_groups)
  * [matrix_packages](#matrix_packages)
  * [matrix_lvm_enabled](#matrix_lvm_enabled)
  * [matrix_base_dir](#matrix_base_dir)
  * [matrix_conf_dir](#matrix_conf_dir)
  * [matrix_data_dir](#matrix_data_dir)
  * [matrix_log_dir](#matrix_log_dir)
  * [matrix_log_file_level](#matrix_log_file_level)
  * [matrix_log_console_level](#matrix_log_console_level)
  * [matrix_log_synapse_level](#matrix_log_synapse_level)
  * [matrix_log_synapse_sql_level](#matrix_log_synapse_sql_level)
  * [matrix_log_ldap_level](#matrix_log_ldap_level)
  * [matrix_log_ldap_auth_level](#matrix_log_ldap_auth_level)
  * [matrix_logrotate_enabled](#matrix_logrotate_enabled)
  * [matrix_logrotate_config](#matrix_logrotate_config)
  * [matrix_restart_policy](#matrix_restart_policy)
  * [matrix_server_url](#matrix_server_url)
  * [matrix_client_url](#matrix_client_url)
  * [matrix_web_client_location](#matrix_web_client_location)
  * [matrix_filter_timeline_limit](#matrix_filter_timeline_limit)
  * [matrix_http_bind_ips](#matrix_http_bind_ips)
  * [matrix_http_bind_port](#matrix_http_bind_port)
  * [matrix_https_bind_ips](#matrix_https_bind_ips)
  * [matrix_https_bind_port](#matrix_https_bind_port)
  * [matrix_ldap_auth_enabled](#matrix_ldap_auth_enabled)
  * [matrix_ldap_auth_server](#matrix_ldap_auth_server)
  * [matrix_ldap_auth_use_starttls](#matrix_ldap_auth_use_starttls)
  * [matrix_ldap_auth_basedn](#matrix_ldap_auth_basedn)
  * [matrix_ldap_auth_uid_attr](#matrix_ldap_auth_uid_attr)
  * [matrix_ldap_auth_mail_attr](#matrix_ldap_auth_mail_attr)
  * [matrix_ldap_auth_name_attr](#matrix_ldap_auth_name_attr)
  * [matrix_postgres_enabled](#matrix_postgres_enabled)
  * [matrix_postgres_ssl_mode](#matrix_postgres_ssl_mode)
  * [matrix_postgres_ssl_root_cert](#matrix_postgres_ssl_root_cert)
  * [matrix_postgres_server](#matrix_postgres_server)
  * [matrix_postgres_port](#matrix_postgres_port)
  * [matrix_postgres_superuser](#matrix_postgres_superuser)
  * [matrix_postgres_password](#matrix_postgres_password)
  * [matrix_postgres_db](#matrix_postgres_db)
  * [matrix_postgres_user](#matrix_postgres_user)
  * [matrix_iptables_enabled](#matrix_iptables_enabled)
  * [matrix_open_ports](#matrix_open_ports)
  * [matrix_url_preview_enabled](#matrix_url_preview_enabled)
  * [matrix_url_preview_max_spider_size](#matrix_url_preview_max_spider_size)
  * [matrix_macaroon_secret_key](#matrix_macaroon_secret_key)
  * [matrix_form_secret](#matrix_form_secret)
  * [matrix_tls_enabled](#matrix_tls_enabled)
  * [matrix_tls_dhparam_path](#matrix_tls_dhparam_path)
  * [matrix_tls_dhparam_size](#matrix_tls_dhparam_size)
  * [matrix_tls_cert_path](#matrix_tls_cert_path)
  * [matrix_tls_key_path](#matrix_tls_key_path)
  * [matrix_tls_cert_source](#matrix_tls_cert_source)
  * [matrix_tls_key_source](#matrix_tls_key_source)
* [Dependencies](#dependencies)
* [License](#license)
* [Author](#author)

---

## Default Variables

### matrix_version

#### Default value

```YAML
matrix_version: 1.2.1
```

### matrix_user

#### Default value

```YAML
matrix_user: matrix
```

### matrix_user_home

#### Default value

```YAML
matrix_user_home: /home/{{ matrix_user }}
```

### matrix_group

#### Default value

```YAML
matrix_group: '{{ matrix_user }}'
```

### matrix_extra_groups

#### Default value

```YAML
matrix_extra_groups: []
```

### matrix_packages

#### Default value

```YAML
matrix_packages:
  - '@Development tools'
  - libtiff-devel
  - libjpeg-devel
  - libzip-devel
  - freetype-devel
  - lcms2-devel
  - libwebp-devel
  - tcl-devel
  - tk-devel
  - redhat-rpm-config
  - python-virtualenv
  - python36-devel
  - libffi-devel
  - openssl-devel
```

### matrix_lvm_enabled

#### Default value

```YAML
matrix_lvm_enabled: false
```

### matrix_base_dir

#### Default value

```YAML
matrix_base_dir: /opt/matrix
```

### matrix_conf_dir

#### Default value

```YAML
matrix_conf_dir: '{{ matrix_base_dir }}/config'
```

### matrix_data_dir

#### Default value

```YAML
matrix_data_dir: '{{ matrix_base_dir }}/data'
```

### matrix_log_dir

#### Default value

```YAML
matrix_log_dir: '{{ matrix_base_dir }}/log'
```

### matrix_log_file_level

#### Default value

```YAML
matrix_log_file_level: INFO
```

### matrix_log_console_level

#### Default value

```YAML
matrix_log_console_level: ERROR
```

### matrix_log_synapse_level

#### Default value

```YAML
matrix_log_synapse_level: INFO
```

### matrix_log_synapse_sql_level

#### Default value

```YAML
matrix_log_synapse_sql_level: INFO
```

### matrix_log_ldap_level

#### Default value

```YAML
matrix_log_ldap_level: INFO
```

### matrix_log_ldap_auth_level

#### Default value

```YAML
matrix_log_ldap_auth_level: INFO
```

### matrix_logrotate_enabled

#### Default value

```YAML
matrix_logrotate_enabled: false
```

### matrix_logrotate_config

#### Default value

```YAML
matrix_logrotate_config:
  - log: '{{ matrix_log_dir }}/homeserver.log'
    options:
      - weekly
      - rotate 5
      - maxsize 512K
      - compress
      - delaycompress
      - create 640 {{ matrix_user }} {{ matrix_group }}
```

### matrix_restart_policy

#### Default value

```YAML
matrix_restart_policy: on-failure
```

### matrix_server_url

#### Default value

```YAML
matrix_server_url: example.com
```

### matrix_client_url

#### Default value

```YAML
matrix_client_url: https://matrix.example.com
```

### matrix_web_client_location

#### Default value

```YAML
matrix_web_client_location: /path/to/web/root
```

### matrix_filter_timeline_limit

#### Default value

```YAML
matrix_filter_timeline_limit: -1
```

### matrix_http_bind_ips

#### Default value

```YAML
matrix_http_bind_ips:
  - '::'
  - 0.0.0.0
```

### matrix_http_bind_port

#### Default value

```YAML
matrix_http_bind_port: 8008
```

### matrix_https_bind_ips

#### Default value

```YAML
matrix_https_bind_ips: '{{ matrix_http_bind_ips }}'
```

### matrix_https_bind_port

#### Default value

```YAML
matrix_https_bind_port: 8448
```

### matrix_ldap_auth_enabled

#### Default value

```YAML
matrix_ldap_auth_enabled: false
```

### matrix_ldap_auth_server

#### Default value

```YAML
matrix_ldap_auth_server: ldaps://ldap.example.com:636
```

### matrix_ldap_auth_use_starttls

#### Default value

```YAML
matrix_ldap_auth_use_starttls: 'false'
```

### matrix_ldap_auth_basedn

#### Default value

```YAML
matrix_ldap_auth_basedn: ou=users,dc=example,dc=com
```

### matrix_ldap_auth_uid_attr

#### Default value

```YAML
matrix_ldap_auth_uid_attr: uid
```

### matrix_ldap_auth_mail_attr

#### Default value

```YAML
matrix_ldap_auth_mail_attr: email
```

### matrix_ldap_auth_name_attr

#### Default value

```YAML
matrix_ldap_auth_name_attr: cn
```

### matrix_postgres_enabled

#### Default value

```YAML
matrix_postgres_enabled: false
```

### matrix_postgres_ssl_mode

#### Default value

```YAML
matrix_postgres_ssl_mode: disable
```

### matrix_postgres_ssl_root_cert

#### Default value

```YAML
matrix_postgres_ssl_root_cert: /etc/pki/tls/certs/ca-bundle.trust.crt
```

### matrix_postgres_server

#### Default value

```YAML
matrix_postgres_server: postgres.example.com
```

### matrix_postgres_port

#### Default value

```YAML
matrix_postgres_port: 5432
```

### matrix_postgres_superuser

#### Default value

```YAML
matrix_postgres_superuser: postgres
```

### matrix_postgres_password

#### Default value

```YAML
matrix_postgres_password: secure
```

### matrix_postgres_db

#### Default value

```YAML
matrix_postgres_db:
  name: matrix
  lc_collate: en_US.UTF-8
  lc_ctype: en_US.UTF-8'
  encoding: UTF-8
  template: template0
  login_host: localhost
  login_user: '{{ matrix_postgres_superuser }}'
  login_password: '{{ matrix_postgres_password }}'
  port: '{{ matrix_postgres_port }}'
  state: present
```

### matrix_postgres_user

#### Default value

```YAML
matrix_postgres_user:
  name: pgmatrix
  password: matrix
  encrypted: yes
  db: '{{ matrix_postgres_db.name }}'
  login_host: localhost
  login_user: '{{ matrix_postgres_superuser }}'
  login_password: '{{ matrix_postgres_password }}'
  port: '{{ matrix_postgres_port }}'
  state: present
```

### matrix_iptables_enabled

#### Default value

```YAML
matrix_iptables_enabled: false
```

### matrix_open_ports

#### Default value

```YAML
matrix_open_ports:
  - name: allow_matrix_web
    rules: "-A INPUT -m state --state NEW -p tcp --dport {{ matrix_http_bind_port\
      \ }} -j ACCEPT\n"
    state: present
```

### matrix_url_preview_enabled

#### Default value

```YAML
matrix_url_preview_enabled: false
```

### matrix_url_preview_max_spider_size

#### Default value

```YAML
matrix_url_preview_max_spider_size: 10M
```

### matrix_macaroon_secret_key

#### Default value

```YAML
matrix_macaroon_secret_key: jr;vhMlW=+U8pwBhVE^=6.,M94Gcyg_07Z-nNAsgj4ZZ:ew:HV
```

### matrix_form_secret

#### Default value

```YAML
matrix_form_secret: oFP3m&,r^wJ=Tr#=Ruww5+h0e;-DZqcuVGXV4XgRZIAt~Gv2YF
```

### matrix_tls_enabled

#### Default value

```YAML
matrix_tls_enabled: false
```

### matrix_tls_dhparam_path

#### Default value

```YAML
matrix_tls_dhparam_path: '{{ matrix_base_dir }}/tls/dhparam.pem'
```

### matrix_tls_dhparam_size

#### Default value

```YAML
matrix_tls_dhparam_size: 2048
```

### matrix_tls_cert_path

#### Default value

```YAML
matrix_tls_cert_path: '{{ matrix_base_dir }}/tls/certs/mycert.pem'
```

### matrix_tls_key_path

#### Default value

```YAML
matrix_tls_key_path: '{{ matrix_base_dir }}/tls/private/mykey.pem'
```

### matrix_tls_cert_source

#### Default value

```YAML
matrix_tls_cert_source: mycert.pem
```

### matrix_tls_key_source

#### Default value

```YAML
matrix_tls_key_source: mykey.pem
```

## Dependencies

None.

## License

Robert Kaussow

## Author

Robert Kaussow
